// $Id: TTEditWInteractor.h,v 5.1 1998/01/14 21:58:00 pb Exp $
/* Copyright (c) 1994-1998 TipTop Software, Inc.
   All Rights Reserved

   Author: Pedja Bogdanovich
*/
#import <ObjAppKit/TTWInteractor.h>

#define IBOutlet

@interface TTEditWInteractor : TTWInteractor
{
  IBOutlet NSTextView *_editView;
  IBOutlet NSSplitView *_splitView;
  NSString *_fileName;
  IBOutlet NSMatrix *_buttonMatrix;
  NSString *_auxBuffer;
  float _stepDelay;
  BOOL _isEdited;
  BOOL _executionRunning;
}

-(void)loadFile:sender;
-(void)saveFile:sender;
-(void)saveFileAs:sender;
-(void)runFromStart:sender;
-(void)stopRunning:sender;
-(void)continueRunning:sender;
-(void)executeOneStep:sender;
-(void)executeCurrentLine:sender;
-(void)executeSelection:sender;
-(void)clearOutput:sender;

-(void)loadFileName:(NSString*)n;
@end

@interface TTEditWInteractor(Convenience)
+ (TTEditWInteractor*)openFileAndRunForInterp:(id)interp;
@end

// EOF
