// $Id: TTInterpCode.h,v 5.1 1998/01/14 21:58:01 pb Exp $
/* Copyright (c) 1994-1998 TipTop Software, Inc.
   All Rights Reserved

   Author: Pedja Bogdanovich
*/
//#import <ObjCore/TTInteractProtocol.h>
#import <ObjCore/TTInteractorProtocol.h>
#import <Foundation/Foundation.h>
#import <ObjCore/TTInterpValueProtocol.h>
#import <ObjCore/TTExecutor.h>

@interface TTInterpCode : TTExecutor <TTInteractorProtocol>
{
@private
  id _auxObject;
  BOOL _execOnAwake;
  BOOL _showError;
  BOOL _showResult;
  BOOL _awoken;
  BOOL _delayed;
  id _sender;
  id <TTInterpValueProtocol> _result;
}

- (void)setExecOnAwake:(BOOL)f;
- (BOOL)execOnAwake;
- (void)setDelayed:(BOOL)f;
- (BOOL)delayed;
- (void)setShowError:(BOOL)f;
- (BOOL)showError;
- (void)setShowResult:(BOOL)f;
- (BOOL)showResult;

- (void)awakeFromNib;
- (id)executeCode:sender;

- (void)setAuxObject:o;
- (id)auxObject;

@end

// EOF
