// $Id: TTOBCell.h,v 5.2 1998/03/31 19:43:53 pb Exp $
/* Copyright (c) 1994-1998 TipTop Software, Inc.
   All Rights Reserved

   Author: Pedja Bogdanovich
*/

#import "TTOBCellProtocol.h"

@interface TTOBCell:NSBrowserCell <TTOBCellProtocol>
{
  id _object;
  TTObjBrowser *_browser;
  TTOBCell *_realCell;
  id _customInfo;
  //id _auxInfo;
  struct {
    unsigned retainObject:1;
    unsigned isFilterable:1;
    unsigned RESERVED:30;
  } _cflags;
  //void *_reserved;
}

+ (id)newCopyOf:c;
- (void)_setRealCell:(TTOBCell*)c;
- (TTOBCell*)_realCell;
- (id)customInfo;
- (void)setCustomInfo:(id)i;
//- (id)auxInfo;
//- (void)setAuxInfo:(id)i;
- (NSString *)objectName;
@end

@interface NSObject(TTObjBrowsing)
- (NSString*)obGetCellClassName;
- (id)obNewCellForBrowser:(TTObjBrowser*)brow;

- (NSString*)obPopulateArrayWithSubcellCategories:(NSMutableArray*)l;
- (NSString*)obPopulateArray:(NSMutableArray*)l
             withInspectorClassNamesForCategory:(TTOBCCategory*)t;
@end

@interface NSObject(TTOBViewing)
- (NSImage*)obGetImage;
- (NSImage*)imageForViewer;
- (NSString*)obGetName;
@end

@interface Object(TTObjBrowsing)
- (NSString*)obGetCellClassName;
- (id)obNewCellForBrowser:(TTObjBrowser*)brow;

- (NSString*)obPopulateArrayWithSubcellCategories:(NSMutableArray*)l;
- (NSString*)obPopulateArray:(NSMutableArray*)l
             withInspectorClassNamesForCategory:(TTOBCCategory*)t;
@end

@interface Object(TTOBViewing)
- (NSImage*)obGetImage;
- (NSImage*)imageForViewer;
- (NSString*)obGetName;
@end

// EOF
