// $Id: TTOBInspector.h,v 5.3 1998/06/30 01:20:48 pb Exp $
/* Copyright (c) 1994-1998 TipTop Software, Inc.
   All Rights Reserved

   Author: Pedja Bogdanovich
*/

#import <AppKit/AppKit.h>
#import "TTOBInspectorProtocol.h"

#define IBOutlet

@interface TTOBInspector:TTObject <TTOBInspectorProtocol>
{
  TTOBCell *cell;
  id info;
  id object;
  IBOutlet NSWindow *window;
  IBOutlet NSButton *okButton;
  IBOutlet NSButton *revertButton;
  struct {
    unsigned retain:1;
    unsigned RESERVED:31;
  } _flags;
}

+ (NSString *)inspectorName;
- (void)ok:sender;
- (void)revert:sender;
- (void)touch:sender;
- (BOOL)wantsButtons;
- (void)textDidBeginEditing:(NSNotification *)notification;
- (id)object;
- (void)setObject:o;
- (NSWindow*)window;
- (void)setWindow:w;
- (TTOBCell*)cell;
- (void)setCell:(TTOBCell*)c;
- (id)info;
- (void)setInfo:i;

// Convenience methods:
- (BOOL)loadNib:(NSString *)name;
- (id)initAndLoadNib;
@end

// EOF
