// $Id: ObjCore.h,v 5.5 1998/07/02 05:25:07 pb Exp $
/* Copyright (c) 1994-1998 TipTop Software, Inc.
   All Rights Reserved

   Author: Pedja Bogdanovich
*/

#ifndef _ObjCore_Core_h
#define _ObjCore_Core_h 1

#import <ObjCore/ObjCoreDefines.h>

#if defined NeXT || defined NeXT_PDO
#  ifndef NEXT_OBJC_RUNTIME
#    define NEXT_OBJC_RUNTIME 1
#  endif
#  import <objc/objc-runtime.h>
#  import <objc/Protocol.h>
#  import <objc/List.h>
#elif defined __SUNPRO_CC
#  ifndef SUN_OBJC_RUNTIME
#    define SUN_OBJC_RUNTIME 1
#  endif
#  include <objc/objc-runtime.h>
#  include <objc/Protocol.h>
#  include "List.h"
#elif defined __GNUC__
#  ifndef GNU_OBJC_RUNTIME
#    define GNU_OBJC_RUNTIME 1
#  endif
#  include <objc/objc.h>
#  include <objc/objc-api.h>
#  include <objc/Protocol.h>
#  include <objc/List.h>
#else
#  error Unknon Runtime!!!
#endif

#define TT_CODE_OK          0
#define TT_CODE_ERROR       1
#define TT_CODE_RETURN      2
#define TT_CODE_BREAK       3
#define TT_CODE_CONTINUE    4

/////////////////////////////////////////////////////////////////////////////
#import <ObjCore/TTObject.h>
#import <ObjCore/TTNil.h>
#import <ObjCore/TTInterpValueProtocol.h>
#import <ObjCore/TTInterpValue.h>
#import <ObjCore/TTInterpProtocol.h>
#import <ObjCore/TTInterp.h>
#import <ObjCore/TTInteractorProtocol.h>
#import <ObjCore/TTInteractor.h>
#import <ObjCore/TTReceptionist.h>
#import <ObjCore/TTKeyValue.h>

#import <ObjCore/TTConfig.h>
#import <ObjCore/TTObjCObject.h>
#import <ObjCore/TTCType.h>
#import <ObjCore/TTCDatum.h>
#import <ObjCore/TTInfo.h>

/////////////////////////////////////////////////////////////////////////////
#ifdef  __cplusplus
extern "C" {
#endif

// Autoload stuff
/////////////////
OBJCORE_EXTERN Class
TTClass_Load(const char *name);
OBJCORE_EXTERN BOOL
TTClass_SetAutoload(BOOL f);
OBJCORE_EXTERN BOOL
TTClass_GetAutoload();

OBJCORE_EXTERN void
ObjCore_Init();

#ifdef  __cplusplus
}
#endif

#endif // _ObjCore_Core_h

// EOF
