// $Id: TTInteractorProtocol.h,v 5.1 1998/01/14 21:58:30 pb Exp $
/* Copyright (c) 1994-1998 TipTop Software, Inc.
   All Rights Reserved

   Author: Pedja Bogdanovich
*/

#ifndef _ObjCore_TTInteractorProtocol_h
#define _ObjCore_TTInteractorProtocol_h 1
#import <ObjCore/ObjCoreDefines.h>

#import <objc/Protocol.h>

@protocol TTInteractorProtocol
- (BOOL)isInteractive;

- (id)interp;
- (void)setInterp:(id /*<TTInterpProtocol>*/)i;

- (void)printValue:(id /*<TTInterpValueProtocol>*/)v;

- (int)runModal:(BOOL)f;
- (void)stopRunningWithCode:(int)code;
@end
#endif

// EOF
