// $Id: TTInterpValue.h,v 5.2 1998/06/26 14:36:00 pb Exp $
/* Copyright (c) 1994-1998 TipTop Software, Inc.
   All Rights Reserved

   Author: Pedja Bogdanovich
*/

#ifndef _ObjCore_TTInterpValue_h
#define _ObjCore_TTInterpValue_h 1
#import <ObjCore/ObjCoreDefines.h>

#import <Foundation/Foundation.h>

#import <ObjCore/TTInterpValueProtocol.h>
#import <ObjCore/TTValue.h>

@interface TTInterpValue : TTValue <TTInterpValueProtocol>
{
}

// Conveniences for TTInterpValueProtocol
+ (id <TTInterpValueProtocol>)valueForObject:(id)obj
                                       flags:(unsigned)flags;
+ (id <TTInterpValueProtocol>)valueForDatumType:(const char *)encoding
                                      atAddress:(const void *)address
                                          flags:(unsigned)flags;
+ (id <TTInterpValueProtocol>)valueForString:(NSString*)obj;
- (id)objectValue;
@end
#endif

// EOF
