/* $Id: ObjPerl-api.h,v 1.4 1998/07/02 05:24:29 pb Exp $ */
/* Copyright (c) 1994-1997 TipTop Software, Inc.
   All Rights Reserved

   Author: Pedja Bogdanovich
*/

#ifndef _ObjPerl_ObjPerl_api_h
#define _ObjPerl_ObjPerl_api_h

#import <ObjPerl/ObjPerlDefines.h>

#ifdef WIN32
#  define timeval _perl_timeval

   // WIN32 Perl kludge: don't redefine io functions:
#  define WIN32IOP_H 1
#endif

#import <Perl/EXTERN.h>
#import <Perl/perl.h>
#import <ObjPerl/Perl-undefine.h>

#ifdef WIN32
#  undef timeval
#endif

#if defined NeXT  || defined NeXT_PDO
#  ifndef NEXT_OBJC_RUNTIME
#    define NEXT_OBJC_RUNTIME 1
#  endif
#  ifdef NeXT
#    import <libc.h>
#  else
#    import <ansi/ansi.h>
#  endif
#  import <objc/objc-runtime.h>
#  import <objc/Protocol.h>
#  import <objc/List.h>
#else
#  ifndef GNU_OBJC_RUNTIME
#    define GNU_OBJC_RUNTIME 1
#  endif
#  include <objc/objc.h>
#  include <objc/objc-api.h>
#  include <objc/Protocol.h>
#  include <objc/List.h>
#endif

#ifdef  __cplusplus
extern "C" {
#endif

// Autoload stuff
/////////////////
OBJPERL_EXTERN Class
ObjPerl_LoadClass(const char *name);


// Misc stuff
/////////////

OBJPERL_EXTERN int
ObjPerl_Version();

OBJPERL_EXTERN const char *
ObjPerl_VersionName();
#ifdef  __cplusplus
}
#endif

#endif

// EOF
