// $Id: ObjPerlDefines.h,v 1.2 1998/07/02 05:24:30 pb Exp $
/* Copyright (c) 1994-1997 TipTop Software, Inc.
   All Rights Reserved
*/

#ifndef _ObjPerl_Defines_h
#define _ObjPerl_Defines_h

//////////
// MACH //
//////////
#if defined __MACH__

#ifdef __cplusplus
#  define OBJPERL_EXTERN		extern
#  define PRIVATE_EXTERN		__private_extern__
#else
#  define OBJPERL_EXTERN		extern
#  define PRIVATE_EXTERN		__private_extern__
#endif

#define OBJPERL_EXTERN_IMP	PUBLIC_EXTERN
#define PRIVATE_EXTERN_IMP	PRIVATE_EXTERN


/////////////
// Windows //
/////////////
#elif defined WIN32

#ifdef __cplusplus
#  ifndef BUILDING_OBJPERL
#    define OBJPERL_EXTERN		__declspec(dllexport) extern "C"
#  else
#    define OBJPERL_EXTERN		__declspec(dllimport) extern "C"
#  endif
#  define OBJPERL_PRIVATE_EXTERN		extern "C"
#else
#  ifndef BUILDING_OBJPERL
#    define OBJPERL_EXTERN		__declspec(dllexport) extern
#  else
#    define OBJPERL_EXTERN		__declspec(dllimport) extern
#  endif
#    define OBJPERL_PRIVATE_EXTERN		extern
#endif

#define OBJPERL_EXTERN_IMP	PUBLIC_EXTERN
#define OBJPERL_PRIVATE_EXTERN_IMP	PRIVATE_EXTERN


/////////////////////////////////
// Solaris and SolarisOpenStep //
/////////////////////////////////
#elif defined(__svr4__) || defined(sun)

#ifdef __cplusplus
#  define OBJPERL_EXTERN		extern "C"
#  define OBJPERL_PRIVATE_EXTERN		extern "C"
#else
#  define OBJPERL_EXTERN		extern
#  define OBJPERL_PRIVATE_EXTERN		extern
#endif

#define OBJPERL_EXTERN_IMP	OBJPERL_EXTERN
#define OBJPERL_PRIVATE_EXTERN_IMP	PRIVATE_EXTERN

///////////
// HP UX //
///////////
#elif defined(hpux)

#ifdef __cplusplus
#  define OBJPERL_EXTERN		extern "C"
#  define OBJPERL_PRIVATE_EXTERN		extern "C"
#else
#  define OBJPERL_EXTERN		extern
#  define OBJPERL_PRIVATE_EXTERN		extern
#endif

#define OBJPERL_EXTERN_IMP	OBJPERL_EXTERN
#define OBJPERL_PRIVATE_EXTERN_IMP	PRIVATE_EXTERN

/////////////////////
// SolarisOpenStep //
/////////////////////
#elif defined(SolarisOpenStep)

#ifdef __cplusplus
#  define OBJPERL_EXTERN		extern "C"
#  define OBJPERL_PRIVATE_EXTERN		extern "C"
#else
#  define OBJPERL_EXTERN		extern
#  define OBJPERL_PRIVATE_EXTERN		extern
#endif

#define OBJPERL_EXTERN_IMP	OBJPERL_EXTERN
#define OBJPERL_PRIVATE_EXTERN_IMP	PRIVATE_EXTERN

#else

#error Unknown platform.

#endif

#endif

// EOF
