// $Id: TTPerlSV.h,v 1.2 1998/03/12 06:10:27 pb Exp $
/* Copyright (c) 1994-1998 TipTop Software, Inc.
   All Rights Reserved

   Author: Pedja Bogdanovich
*/

#import <ObjPerl/ObjPerlDefines.h>
#import <ObjCore/TTInterpValue.h>
#import <ObjPerl/ObjPerl-api.h>

@interface TTPerlSV : TTInterpValue
{
  SV *_sv;
}

- (TTPerlSV*)initWithPerlSValue:(SV*)v;
+ (TTPerlSV*)valueWithPerlSValue:(SV*)v;

- (SV*)perlSValue;
- (NSString *)stringValue;

- (int)intValue;
- (double)doubleValue;
- (NSNumber *)numberValue;

- (int)refCount;
- (void)refCountInc;
- (void)refCountDec;

- (BOOL)isMortal;
- (int)perlType;

@end

// EOF
