// $Id: ObjTclDefines.h,v 5.2 1998/07/02 05:25:49 pb Exp $
/* Copyright (c) 1994-1998 TipTop Software, Inc.
  All Rights Reserved
*/

#ifndef _ObjTclCore_Defines_h
#define _ObjTclCore_Defines_h 1

//////////
// MACH //
//////////
#if defined __MACH__

#ifdef __cplusplus
#  define OBJTCL_EXTERN		extern
#  define PRIVATE_EXTERN		__private_extern__
#else
#  define OBJTCL_EXTERN		extern
#  define PRIVATE_EXTERN		__private_extern__
#endif

#define OBJTCL_EXTERN_IMP	PUBLIC_EXTERN
#define PRIVATE_EXTERN_IMP	PRIVATE_EXTERN


/////////////
// Windows //
/////////////
#elif defined WIN32

#ifdef __cplusplus
#  ifndef BUILDING_OBJTCL
#    define OBJTCL_EXTERN		__declspec(dllexport) extern "C"
#  else
#    define OBJTCL_EXTERN		__declspec(dllimport) extern "C"
#  endif
#  define OBJTCL_PRIVATE_EXTERN		extern "C"
#else
#  ifndef BUILDING_OBJTCL
#    define OBJTCL_EXTERN		__declspec(dllexport) extern
#  else
#    define OBJTCL_EXTERN		__declspec(dllimport) extern
#  endif
#    define OBJTCL_PRIVATE_EXTERN		extern
#endif

#define OBJTCL_EXTERN_IMP	PUBLIC_EXTERN
#define OBJTCL_PRIVATE_EXTERN_IMP	PRIVATE_EXTERN


/////////////////////////////////
// Solaris and SolarisOpenStep //
/////////////////////////////////
#elif defined(__svr4__) || defined(sun)

#ifdef __cplusplus
#  define OBJTCL_EXTERN		extern "C"
#  define OBJTCL_PRIVATE_EXTERN		extern "C"
#else
#  define OBJTCL_EXTERN		extern
#  define OBJTCL_PRIVATE_EXTERN		extern
#endif

#define OBJTCL_EXTERN_IMP	OBJTCL_EXTERN
#define OBJTCL_PRIVATE_EXTERN_IMP	PRIVATE_EXTERN

///////////
// HP UX //
///////////
#elif defined(hpux)

#ifdef __cplusplus
#  define OBJTCL_EXTERN		extern "C"
#  define OBJTCL_PRIVATE_EXTERN		extern "C"
#else
#  define OBJTCL_EXTERN		extern
#  define OBJTCL_PRIVATE_EXTERN		extern
#endif

#define OBJTCL_EXTERN_IMP	OBJTCL_EXTERN
#define OBJTCL_PRIVATE_EXTERN_IMP	PRIVATE_EXTERN

/////////////////////
// SolarisOpenStep //
/////////////////////
#elif defined(SolarisOpenStep)

#ifdef __cplusplus
#  define OBJTCL_EXTERN		extern "C"
#  define OBJTCL_PRIVATE_EXTERN		extern "C"
#else
#  define OBJTCL_EXTERN		extern
#  define OBJTCL_PRIVATE_EXTERN		extern
#endif

#define OBJTCL_EXTERN_IMP	OBJTCL_EXTERN
#define OBJTCL_PRIVATE_EXTERN_IMP	PRIVATE_EXTERN

#else

#error Unknown platform.

#endif

#endif
// EOF
