// $Id: TTTclObject.h,v 5.0 1997/12/07 23:25:18 pb Exp $

#import <ObjTcl/ObjTclDefines.h>
#import <ObjCore/TTInterpValue.h>
#import <Foundation/NSString.h>

@interface TTTclObject : TTInterpValue
{
  Tcl_Obj *_tclObject;
}

- initWithTclObjectValue:(Tcl_Obj*)tcl;
+ valueWithTclObjectValue:(Tcl_Obj*)tcl;
- (Tcl_Obj*)tclObjectValue;

+ valueWithStringValue:(NSString*)str;
- (NSString*)stringValue;

- (int)refCount;
- (NSString*)description;
@end

// EOF
