@rem --*-Tcl-*--
@rem {
@echo off

rem *** Install this file into %NEXT_ROOT%/LocalLibrary/Executables   ***
rem *** If you move this .BAT file into directory other than          ***
rem *** %NEXT_ROOT%/LocalLibrary/Executables, you need to             ***
rem *** change the batpath variable below!                            ***

rem setlocal
set batpath=%NEXT_ROOT%/LocalLibrary/Executables
set ARGS=
:loop
if .%1==. goto endloop
set ARGS=%ARGS% %1
shift
goto loop
:endloop
rem *** This assumes objtclsh is on the PATH ***
rem echo objtclsh.exe %batpath%/robjtclsh.bat %ARGS%
objtclsh.exe %batpath%/robjtclsh.bat %ARGS%
goto endofbat
@rem }
# $Id: robjtclsh.bat,v 5.1 1997/12/25 21:02:13 pb Exp $

if {($argc%2) != 1} {
  puts stderr "usage: $argv0 \[-h host\] \[-i interp\] conname"
  exit 1
}

set host ""
set iname "ObjTclInterp"

incr argc -1
set conname [lindex $argv $argc]
set argv [lreplace $argv $argc $argc]

foreach {o a} $argv {
  if {"$o" == "-h"} { set host $a } \
  elseif {"$o" == "-i"} { set iname $a } \
  else {
    puts stderr "invalid option $o"
  }
}
#puts "host: $host"
#puts "iname: $iname"
#puts "conname: $conname"

set i [[TTInteractor alloc] init]
$i setHostName: [@ $host]
$i setInterpName: [@ $iname]
$i setConnectionName: [@ $conname]
if [catch {$i runModal: yes} err] { puts stderr "$err" }

# EOF

@rem {
:endofbat
@rem }
