// $Id: TTCType.h,v 1.1 1998/06/30 01:21:51 pb Exp $
/* Copyright (c) 1994-1998 TipTop Software, Inc.
   All Rights Reserved

   Author: Pedja Bogdanovich
*/

@class TTCDatum;

@interface TTCType:TTObject
{
@private
  char *_encoding;
  char *_type;
}

- (NSString*)description;
- (NSString*)objcRepresentation;

- (NSString*)typeString;
- (const char *)encoding;

- initWithEncoding:(const char *)enc;
- initWithTypeString:(NSString*)name;
+ ctypeWithEncoding:(const char *)enc;
+ ctypeWithTypeString:(NSString*)name;

- (NSString*)expandedTypeString;
- (NSString*)prettyTypeString;
- (int)typeSize;
- (int)typeAlignment;

- (TTCDatum*)datumMalloc:(int)count;

- (void)defineTypeName:(NSString*)name;

@end

// EOF
