// $Id: TTKeyValue.h,v 5.1 1998/06/30 01:21:45 pb Exp $
/* Copyright (c) 1994-1998 TipTop Software, Inc.
   All Rights Reserved

   Author: Pedja Bogdanovich
*/

#ifdef  __cplusplus
extern "C" {
#endif

@interface NSObject(TTKeyValueCodingPrimitives)
- (void)ttTakeValue:(id)val forKey:(NSString*)key;
- (id)ttValueForKey:(NSString*)key;
- (BOOL)ttHasKey:(NSString*)key;
- (NSEnumerator*)ttKeyEnumerator;
@end

@interface NSObject(TTKeyValueCodingAdditions)
- (id)ttValueForKeyPath:(NSString*)path;
- (void)ttTakeValue:value forKeyPath:(NSString*)path;
- (NSDictionary *)ttValuesForKeys:(NSArray*)keys;
- (void)ttTakeValuesFromDictionary:(NSDictionary*)dictionary;
@end

@interface NSObject(TTXVarKeyValueCoding)
- (id)valueForXVar:(NSString*)key;
- (void)takeValue:(id)value forXVar:(NSString*)key;
- (BOOL)hasXVar:(NSString*)key;
@end

#ifdef  __cplusplus
}
#endif

// EOF
