// $Id: TTObjPerlInterp.h,v 1.3 1998/06/26 14:35:18 pb Exp $
/* Copyright (c) 1994-1997 TipTop Software, Inc.
   All Rights Reserved

   Author: Pedja Bogdanovich
*/
#ifndef _ObjPerl_TTObjPerlInterp_h
#define _ObjPerl_TTObjPerlInterp_h

#import <ObjPerl/ObjPerl-api.h>
#import <ObjPerl/TTPerlSV.h>
#import <ObjPerl/ObjPerlDefines.h>
#import <ObjCore/TTInterp.h>
#import <ObjCore/TTInterpProtocol.h>

@interface TTObjPerlInterp:TTInterp <TTInterpProtocol>
{
  PerlInterpreter *_perlInterpreter;
@private
  void *_reserved;
}


+ findObjectForPerlInterpreter:(PerlInterpreter *)i;
- initForPerlInterpreter:(PerlInterpreter *)interp;

+ getDefaultInterp;
+ defaultInterp;
+ (void)setDefaultInterp:(TTObjPerlInterp*)interp;

- (void)linkDatumEncoding:(const char *)encoding
                atAddress:(void*)addr
           asVariableName:(NSString*)vname;
- (void)linkDatumName:(NSString*)datum
       asVariableName:(NSString*)vname;
- (void)unlinkVariableName:(NSString*)vname;

@end

#endif
// EOF
