// $Id: TTPyObject.h,v 5.1 1998/01/14 21:56:42 pb Exp $
/* Copyright (c) 1994-1998 TipTop Software, Inc.
   All Rights Reserved

   Author: Pedja Bogdanovich
*/

#import <ObjPy/ObjPythonDefines.h>

#import <ObjCore/TTInterpValue.h>
#import <Foundation/NSString.h>


@interface TTPyObject :  TTInterpValue
{
  PyObject *_pyObject;
}

- initWithPyObjectValue:(PyObject*)py;
+ valueWithPyObjectValue:(PyObject*)py;
- (PyObject*)pyObjectValue;
- (void)_setPyObjectValue:(PyObject*)py;

- (int)refCount;

- (NSString*)description;

// Key-value access:
-(id)objectForKey:(id)key;
-(void)setObject:(id)val forKey:(id)key;
-(NSArray*)_allKeys;

@end


// EOF
